


<h1><a name="boost" id="boost">Boost</a></h1>
<div class="level1">

<p>

<a href="http://www.boost.org/" class="urlextern" title="http://www.boost.org/"  rel="nofollow">Boost</a>: <a href="http://en.wikipedia.org/wiki/Boost" class="interwiki iw_wp" title="http://en.wikipedia.org/wiki/Boost">Boost</a> - Portable C++ source libraries 
</p>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "Boost" [1-101] -->
<h2><a name="how_to_install_boost" id="how_to_install_boost">How to install Boost</a></h2>
<div class="level2">
<pre class="code bash"><span class="co0"># download</span>
$ .<span class="sy0">/</span>bootstrap.sh
$ <span class="kw2">sudo</span> .<span class="sy0">/</span>bjam <span class="kw2">install</span></pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to install Boost" [102-206] -->
<h2><a name="how_to_build_a_simple_program_using_boost" id="how_to_build_a_simple_program_using_boost">How to build a simple program using Boost</a></h2>
<div class="level2">
<dl class="file">
<dt><a href="/~kssilveira/site/doku.php?do=export_code&amp;id=libraries:boost&amp;codeblock=1" title="Download Snippet" class="mediafile mf_cpp">boost.cpp</a></dt>
<dd><pre class="code file c++"><span class="co2">#include &lt;boost/lambda/lambda.hpp&gt;</span>
<span class="co2">#include &lt;iostream&gt;</span>
<span class="co2">#include &lt;iterator&gt;</span>
<span class="co2">#include &lt;algorithm&gt;</span>
&nbsp;
<span class="kw4">int</span> main<span class="br0">&#40;</span><span class="br0">&#41;</span>
<span class="br0">&#123;</span>
    using namespace boost<span class="sy0">::</span><span class="me2">lambda</span><span class="sy0">;</span>
    <span class="kw4">typedef</span> std<span class="sy0">::</span><span class="me2">istream_iterator</span><span class="sy0">&lt;</span>int<span class="sy0">&gt;</span> in<span class="sy0">;</span>
&nbsp;
    std<span class="sy0">::</span><span class="me2">for_each</span><span class="br0">&#40;</span>
        in<span class="br0">&#40;</span>std<span class="sy0">::</span><span class="me2">cin</span><span class="br0">&#41;</span><span class="sy0">,</span> in<span class="br0">&#40;</span><span class="br0">&#41;</span><span class="sy0">,</span> std<span class="sy0">::</span><a href="http://www.opengroup.org/onlinepubs/009695399/functions/cout.html"><span class="kw3">cout</span></a> <span class="sy0">&lt;&lt;</span> <span class="br0">&#40;</span>_1 <span class="sy0">*</span> <span class="nu0">3</span><span class="br0">&#41;</span> <span class="sy0">&lt;&lt;</span> <span class="st0">&quot; &quot;</span> <span class="br0">&#41;</span><span class="sy0">;</span>
<span class="br0">&#125;</span></pre>
</dd></dl>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to build a simple program using Boost" [207-561] -->
<h2><a name="how_to_compile_using_boost" id="how_to_compile_using_boost">How to compile using Boost</a></h2>
<div class="level2">
<pre class="code bash">$ <span class="kw2">gcc</span> boost.cpp <span class="re5">-o</span> boost
$ .<span class="sy0">/</span>boost</pre>
<div class="plugin_uparrow">
  <a href="#" title="Back to top">
    <img src="lib/plugins/uparrow/images/tango-small.png" alt="Back to top"/>
  </a>
</div>

</div>
<!-- SECTION "How to compile using Boost" [562-] -->